Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmmf
Class RevRepContent

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmmf.RevRepContent

All Implemented Interfaces:
  ASN1Value

public class RevRepContent
extends java.lang.Object
implements ASN1Value

CMMF RevRepContent.

     RevRepContent ::= SEQUENCE {
        status          SEQUENCE SIZE (1..MAX) OF PKIStatusInfo,
          -- in same order as was sent in RevReqContent
        revCerts        [0] SEQUENCE SIZE (1..MAX) OF CertId OPTIONAL,
          -- IDs for which revocation was requested (same order as status)
        crls            [1] SEQUENCE SIZE (1..MAX) OF CertificateList OPTIONAL
          -- the resulting CRLs (there may be more than one) }

Inner Class Summary
`static class` | `RevRepContent.Template` A Template for decoding a `RevRepContent`.

Field Summary
`private SEQUENCE` | `crls`
`private SEQUENCE` | `revCerts`
`private SEQUENCE` | `sequence`
`private SEQUENCE` | `status`
`private static Tag` | `TAG`

Constructor Summary
`private` | `RevRepContent()`
`` | `RevRepContent(SEQUENCE status, SEQUENCE revCerts, SEQUENCE crls)` Creates a new `RevRepContent` from its components.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`SEQUENCE` | `getCrls()` The `crls` field, which is a `SEQUENCE` of `ANY`.
`SEQUENCE` | `getRevCerts()` The `revCerts` field, which is a `SEQUENCE` of `CertId`.
`SEQUENCE` | `getStatus()` The `status` field, which is a `SEQUENCE` of `PKIStatusInfo`.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### status

    private SEQUENCE status

### revCerts

    private SEQUENCE revCerts

### crls

    private SEQUENCE crls

### sequence

    private SEQUENCE sequence

### TAG

    private static final Tag TAG

Constructor Detail

### RevRepContent

    private RevRepContent()

### RevRepContent

    public RevRepContent(SEQUENCE status,
                         SEQUENCE revCerts,
                         SEQUENCE crls)

  Creates a new `RevRepContent` from its components.
  Parameters:
    `status` - A `SEQUENCE` of `PKIStatusInfo`.
    `revCerts` - A `SEQUENCE` of `CertId`. This field is optional, so `null` may be used.
    `crls` - A `SEQUENCE` of `ANY`. This field is optional, so `null` may be used.
  See Also:
    `PKIStatusInfo`

Method Detail

### getStatus

    public SEQUENCE getStatus()

  The `status` field, which is a `SEQUENCE` of `PKIStatusInfo`.
  See Also:
    `PKIStatusInfo`

### getRevCerts

    public SEQUENCE getRevCerts()

  The `revCerts` field, which is a `SEQUENCE` of `CertId`. Returns `null` if this field is not present.
  See Also:
    `CertId`

### getCrls

    public SEQUENCE getCrls()

  The `crls` field, which is a `SEQUENCE` of `ANY`. Returns `null` if this field is not present.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD